Im very confused now!

I have SLED11 64bits version. I installed the Final Relase of Novell Client 2.0 SP2 64bits version. Novell require the 64bits version on 64bits OS or the GUI-Login will not work.
The problem is that I need to use IDM Designer and it seems to not work with the 64bits version of Novell Client.

So i was checking and i see there is an BETA og Novell Client 2.0 SP1, but isnt the final release og 2.0 SP2 a newer version? How can the BETA be SP1 and the final release SP2?

Now it looks like a have to downgrade SLED11 to 32bits and use the BETA of Novell Client since somone get the Designer to work in this enviroment.